﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Sitecore91</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>
    </ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{3CBA4C8C-0FFF-4579-9F71-84C5D69FDE1B}</ProjectGuid>
    <ProjectTypeGuids>{349c5851-65df-11da-9384-00065b846f21};{fae04ec0-301f-11d3-bf4b-00c04f79efbc}</ProjectTypeGuids>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Vhs.HubspotForm.Integration</RootNamespace>
    <AssemblyName>Vhs.HubspotForm.Integration</AssemblyName>
    <TargetFrameworkVersion>v4.7.2</TargetFrameworkVersion>
    <MvcBuildViews>false</MvcBuildViews>
    <UseIISExpress>true</UseIISExpress>
    <Use64BitIISExpress />
    <IISExpressSSLPort />
    <IISExpressAnonymousAuthentication />
    <IISExpressWindowsAuthentication />
    <IISExpressUseClassicPipelineMode />
    <UseGlobalApplicationHostFile />
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <Choose>
	<When Condition=" '$(Configuration)' == 'Sitecore92' ">
      <ItemGroup>
        <PackageReference Include="Sitecore.Kernel">
          <Version>9.2.0</Version>
        </PackageReference>
        <PackageReference Include="Sitecore.Mvc">
          <Version>9.2.0</Version>
        </PackageReference>
      </ItemGroup>
    </When>
    <When Condition=" '$(Configuration)' == 'Sitecore91' ">
      <ItemGroup>
        <PackageReference Include="Sitecore.Kernel">
          <Version>9.1.0</Version>
        </PackageReference>
        <PackageReference Include="Sitecore.Mvc">
          <Version>9.1.0</Version>
        </PackageReference>
      </ItemGroup>
    </When>
    <When Condition=" '$(Configuration)' == 'Sitecore90' ">
      <ItemGroup>
        <PackageReference Include="Sitecore.Kernel">
          <Version>9.0.180604</Version>
        </PackageReference>
        <PackageReference Include="Sitecore.Mvc">
          <Version>9.0.180604</Version>
        </PackageReference>
      </ItemGroup>
    </When>
    <When Condition=" '$(Configuration)' == 'Sitecore82' ">
      <ItemGroup>
        <PackageReference Include="Sitecore.Kernel">
          <Version>8.2.180406</Version>
        </PackageReference>
        <PackageReference Include="Sitecore.Mvc">
          <Version>8.2.180406</Version>
        </PackageReference>
      </ItemGroup>
    </When>
    <When Condition=" '$(Configuration)' == 'Sitecore81' ">
      <ItemGroup>
        <PackageReference Include="Sitecore.Kernel">
          <Version>8.1.160519</Version>
        </PackageReference>
        <PackageReference Include="Sitecore.Mvc">
          <Version>8.1.160519</Version>
        </PackageReference>
      </ItemGroup>
    </When>
    <When Condition=" '$(Configuration)' == 'Sitecore80' ">
      <ItemGroup>
        <PackageReference Include="Sitecore.Kernel">
          <Version>8.0.160115</Version>
        </PackageReference>
        <PackageReference Include="Sitecore.Mvc">
          <Version>8.0.160115</Version>
        </PackageReference>
      </ItemGroup>
    </When>
    <When Condition=" '$(Configuration)' == 'Sitecore72' ">
      <ItemGroup>
        <PackageReference Include="Sitecore.Kernel">
          <Version>7.2.160123</Version>
        </PackageReference>
        <PackageReference Include="Sitecore.Mvc">
          <Version>7.2.160123</Version>
        </PackageReference>
      </ItemGroup>
    </When>
    <Otherwise>
    </Otherwise>
  </Choose>
  <ItemGroup>
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Web.DynamicData" />
    <Reference Include="System.Web.Entity" />
    <Reference Include="System.Web.ApplicationServices" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Web" />
    <Reference Include="System.Web.Abstractions" />
    <Reference Include="System.Web.Routing" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Web.Services" />
    <Reference Include="System.EnterpriseServices" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Net.Http.WebRequest" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Controllers\HubspotFormIntegrationController.cs" />
    <Compile Include="Models\HubspotFormSettingsModel.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Templates.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Properties\PublishProfiles\Sitecore72.pubxml">
      <SubType>Designer</SubType>
    </None>
    <None Include="Properties\PublishProfiles\Sitecore80.pubxml">
      <SubType>Designer</SubType>
    </None>
    <None Include="Properties\PublishProfiles\Sitecore81.pubxml">
      <SubType>Designer</SubType>
    </None>
    <None Include="Properties\PublishProfiles\Sitecore90.pubxml">
      <SubType>Designer</SubType>
    </None>
    <None Include="Properties\PublishProfiles\Sitecore91.pubxml">
      <SubType>Designer</SubType>
    </None>
    <None Include="Properties\PublishProfiles\Sitecore82.pubxml">
      <SubType>Designer</SubType>
    </None>
    <None Include="Properties\PublishProfiles\Sitecore92.pubxml">
      <SubType>Designer</SubType>
    </None>
    <None Include="Web.config">
      <SubType>Designer</SubType>
    </None>
    <None Include="Web.Debug.config">
      <DependentUpon>Web.config</DependentUpon>
    </None>
    <None Include="Web.Release.config">
      <DependentUpon>Web.config</DependentUpon>
    </None>
    <None Include="Views\Web.config" />
    <Content Include="Views\HubspotFormIntegration\HubspotForm.cshtml" />
  </ItemGroup>
  <PropertyGroup>
    <VisualStudioVersion Condition="'$(VisualStudioVersion)' == ''">10.0</VisualStudioVersion>
    <VSToolsPath Condition="'$(VSToolsPath)' == ''">$(MSBuildExtensionsPath32)\Microsoft\VisualStudio\v$(VisualStudioVersion)</VSToolsPath>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)' == 'Sitecore82' ">
    <OutputPath>bin\Sitecore82\</OutputPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)' == 'Sitecore91'">
    <OutputPath>bin\Sitecore91\</OutputPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)' == 'Sitecore90'">
    <OutputPath>bin\</OutputPath>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)' == 'Sitecore81'">
    <OutputPath>bin\</OutputPath>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)' == 'Sitecore72'">
    <OutputPath>bin\</OutputPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)' == 'Sitecore80'">
    <OutputPath>bin\Sitecore80\</OutputPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)' == 'Sitecore92'">
    <OutputPath>bin\</OutputPath>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <Import Project="$(VSToolsPath)\WebApplications\Microsoft.WebApplication.targets" Condition="'$(VSToolsPath)' != ''" />
  <Import Project="$(MSBuildExtensionsPath32)\Microsoft\VisualStudio\v10.0\WebApplications\Microsoft.WebApplication.targets" Condition="false" />
  <Target Name="MvcBuildViews" AfterTargets="AfterBuild" Condition="'$(MvcBuildViews)'=='true'">
    <AspNetCompiler VirtualPath="temp" PhysicalPath="$(WebProjectOutputDir)" />
  </Target>
  <ProjectExtensions>
    <VisualStudio>
      <FlavorProperties GUID="{349c5851-65df-11da-9384-00065b846f21}">
        <WebProjectProperties>
          <UseIIS>True</UseIIS>
          <AutoAssignPort>True</AutoAssignPort>
          <DevelopmentServerPort>53651</DevelopmentServerPort>
          <DevelopmentServerVPath>/</DevelopmentServerVPath>
          <IISUrl>http://localhost:53651/</IISUrl>
          <NTLMAuthentication>False</NTLMAuthentication>
          <UseCustomServer>False</UseCustomServer>
          <CustomServerUrl>
          </CustomServerUrl>
          <SaveServerSettingsInUserFile>False</SaveServerSettingsInUserFile>
        </WebProjectProperties>
      </FlavorProperties>
    </VisualStudio>
  </ProjectExtensions>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it.
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target> -->
</Project>